# Changelog pour le module Dolibarr : [Produit Rapide](https://git.code42.io/dolibarr/modules/project/suite-services/produit-rapide)

Toutes les modifications notables apportées à ce projet seront documentées dans ce fichier.

Le format est basé sur [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
et ce projet adhère au [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

---
# <span style='color:white;background-color:#ed6b00;border-radius:5px;padding: 5px;font-size:small'>Nouveautés</span> [19.0.00] - 2024-01-25

* Added : 
  * [#35] Les lignes issues de produit rapide sont colorées
 
* Fixed :
  * [#36] Compatibilité Dolibarr 19 et php 8

# [16.2.00] - 2023-10-30

* Changed :
    * [#33] Utilisation des taux de TVA propres à Dolibarr

# [16.1.02] - 2023-07-11

* Fixed :
  * [#32] Si H2G2 est manquant, une erreur est retournée

# [16.1.01] - 2023-04-12

* Added :
  * [#30] L'entrepôt par défaut paramétré dans le module Stock apparaît sur le produit rapide
  * [#28] Ajout du champ description sur les produits rapide
  
* Fixed : 
  * [#29] Le bouton Produit Rapide est désormais caché lorsque l'on édite une ligne

# [16.1.00] - 2023-03-14

* Added :
  * [#21] Ajout du bouton produit rapide sur les commandes fournisseur
  * [#20] Le code comptable est ajouté automatiquement à la création d'un produit rapide

* Changed :
  * [#24] La version minimum de Dolibarr est passée à v13.0

* Fixed :
  * [#26] Le prix d'achat est ajouté aux lignes lors de l'ajout d'un produit rapide
  * [#17] Si une référence fournisseur existe déjà, l'objet n'est pas créé et une alerte apparaît

# [16.0.00] - 2023-01-18

* Added :
  * [#10] Le module Libellés/Catégories est activé à l'activation du module
  * [#6] Ajout de la documentation utilisateur
  * [#1] Création rapide d'un produit et page de configuration

* Changed : 
  * [#16] Le paramétrage des champs fournisseur est simplifié en un seul élément
  * [#14] Le bouton "Produit Rapide" n'apparaît que sur les documents brouillons
  * [#13] Le pictogramme du module a été modifié

* Fixed : 
  * [#18] La liste des fournisseurs apparaît sur la pop-up de création d'un produit rapide
  * [#15] Il est possible de créer un produit rapide avec le minima d'information
  * [#12] Il n'y a plus d'erreur pgsql à l'activation du module code barre
  * [#9] Lorsque H2G2 n'est pas installé, un message d'erreur clair apparaît
  * [#8] Corrections diverses (prix fournisseur, traduction, nouveautés, droits ...)

