# Produit Rapide

![produit-rapide](./img/doc/Produit-rapide.png)

##  Introduction

Le module **Produit Rapide** permet de créer des produits ou des services directement dans l'interface des Propositions commerciales, des commandes clients et des factures.

![produit-rapide](./img/doc/Produit-rapide-illustration.png)

## Pré-requis

Pour l'installation et la configuration du module, il vous faut être administrateur du Dolibarr. ![produit-rapide](./img/doc/administrateur-dolibarr.png)

Dès lors que le module va être activé les modules **Produits**, **Services**, **Fournisseurs** et **Propositions commerciales** seront activés.


Pour le reste des modules associés, il faudra les activer à la main (Commande client, Facture, Code barre)

![produit-rapide](./img/doc/Produit-rapide-activation-module.png)



## Configurer le module

Pour configurer le module, il faut se rendre sur **Modules/Applications** puis sur le module **Produit rapide**, cliquer sur la **roue dentée** <i class="fas fa-cog fa-15"></i>.

On retrouve alors l'ensemble des options suivantes :

![produit-rapide](./img/doc/Configuration_produit_rapide.png)

Pour la création d'un article rapide, il est possible d'ajouter les champs suivants : Description, Url publique, Prix de vente (HT), Fournisseur, Référence fournisseur, prix d'achat fournisseur et Code barre. 

Pour cela il faut activer chaque choix :

![produit-rapide](./img/doc/Champ_ajoute_active.png)

Il est possible de modifier les valeurs par défaut suivantes : Type d'objet créé par défaut (soit Produit soit Service), le taux de TVA de la fiche, le taux de TVA du fournisseur.

Pour cela il faut cliquer sur **Modifier** puis changer la valeur et pour finir, cliquer sur **Enregistrer** :

![produit-rapide](./img/doc/TVA_modifiee_enregistrer.png)

Enfin, le bouton **Produit rapide** peut être affiché aussi bien dans une proposistion commercial, une facture et une commande client.

Pour cela il faut cliquer sur **Modifier** puis passer à **Oui** les choix ci-dessous et enfin cliquer sur **Enregistrer** :

![produit-rapide](./img/doc/Afficher_bouton_option.png)

## Créer un produit rapide

Lorsque vous êtes sur une proposition commerciale (ou une commande client ou une facture), vous retrouvez en partie basse un bouton **Produit rapide** :

![produit-rapide](./img/doc/Bouton_produit_rapide.png)

Après avoir cliqué dessus, on vous propose de créer votre produit avec les champs que vous avez configurés :

![produit-rapide](./img/doc/Popup_creation.png)

Une fois renseignés cliquer sur **Créer**.

Le produit apparait alors dans votre proposition commerciale par exemple :

![produit-rapide](./img/doc/Produit_ajoutée.png)

Vous pouvez également retrouver "Produit Rapide" dans le module Produits / Services :

![produit-rapide](./img/doc/Produit_Service_rapide.png)

## Retrouver et modifier un produit rapide

Chaque produit se retrouve avec un Tag **Produit rapide** qui vous permettra de retrouver dans le menu Produits/Services puis la liste associée, les articles créés :

![produit-rapide](./img/doc/Produit_Tag.png)
